# Revoke scheme token consent

Revokes user consent for a specific scheme token associated with a merchant shopper. This action prevents the token from being used for future transactions until consent is granted again.

Endpoint: DELETE /token-vault/{ownerType}/{ownerId}/vaults/scheme-tokens/{schemeTokenId}/user-consents/{merchantId}/{merchantShopperId}
Version: 1.0.0

## Path parameters:

  - `ownerId` (string, required)
    The unique identifier of the entity owning the token (e.g., Referrer, Merchant Group, Merchant, Site).
    Example: "MERCHANT-GROUP-1"

  - `ownerType` (string, required)
    The type of entity owning the token (e.g., Referrer, MerchantGroup, Merchant or Site).
    Enum: "Referrer", "MerchantGroup", "Merchant", "Site"

  - `schemeTokenId` (string, required)
    The scheme token ID.
    Example: "7f46c09d-d1d1-4f94-9a88-6e8ac32e6341"

  - `merchantId` (string, required)
    The merchant identifier.
    Example: "MERCHANT-001"

  - `merchantShopperId` (string, required)
    The unique identifier for the shopper, as assigned by you.
    Example: "shopper-12345"

## Response 400 fields (application/json):

  - `correlationId` (string)
    The unique identifier for this error response. Include it when contacting PXP support.
    Example: "81f32b80-2ba0-4430-8ecd-0b559274ba9c"

  - `details` (array)
    Additional details about the error.

  - `errorCode` (string)
    The error code returned for the operation.
    Example: "INVALID_REQUEST"

  - `errorReason` (string)
    The error reason returned for the operation.
    Example: "The request parameters are invalid."


## Response 204 fields
